#include<iostream>
using namespace std;
int main()
{
    unsigned long long L,m,n;
    cin>>L>>m>>n;
    unsigned long long counter=0;
    int i;
    for(i=0;i<=L;i+=m)
    {
        counter++;
        m+=n;
    }
    cout<<counter+1;
    return 0;
}
